commit:     cf4f959531f026c6f8b7f7062e623222c1ef9181
Author:     Louis Regnier <louregni <AT> student <DOT> 42 <DOT> fr>
AuthorDate: Wed Aug 25 19:50:06 2021 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Thu Sep  2 06:53:08 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cf4f9595

x11-terms/kitty: bump to 0.23.1

Signed-off-by: Louis Regnier <louregni <AT> student.42.fr>
Closes: https://github.com/gentoo/gentoo/pull/22102
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 x11-terms/kitty/Manifest            |   1 +
 x11-terms/kitty/kitty-0.23.1.ebuild | 109 ++++++++++++++++++++++++++++++++++++
 2 files changed, 110 insertions(+)

diff --git a/x11-terms/kitty/Manifest b/x11-terms/kitty/Manifest
index e1a1774bb2a..41c4a129750 100644
--- a/x11-terms/kitty/Manifest
+++ b/x11-terms/kitty/Manifest
@@ -2,3 +2,4 @@ DIST kitty-0.19.3.tar.xz 3269628 BLAKE2B 
b3b673f8ad06baf770b03bcee87b2f405e1ff09
 DIST kitty-0.20.1.tar.xz 3449932 BLAKE2B 
aed9a250fbc7005cd67fd22bfc33de845bea7e39a5561e6957b744f03a5438945f9739ca7066a93889144a5d0289185f337ef4d487c754cba37f242030f1c46a
 SHA512 
19dfa66eb2a2115877b25fbff0ba7a81071bff00c732236f20342aeb619cca88ae4a4e8ce4e73908ac7d7d12fca5232a76e0167754f2e658af02e442cf5ba0cd
 DIST kitty-0.20.3.tar.xz 3487500 BLAKE2B 
49397ac2aef10e5fc41e351af65050ad510e58915392e6b1b8c022db31f2e5e81ac2cce645468ff213dafb609a30d43934b7388b93227fbbba5af7aa35be74e8
 SHA512 
9e9d81696bcb0d3894c04b08bc52ccf7aaf533125b3ecfb4c894b8d42dbf8511239c49f1c977d81872ce49fc6b3aa8e8c92b9c944bd31fe59fce6e3750295e58
 DIST kitty-0.21.2.tar.xz 4341440 BLAKE2B 
dd97d65ae6eb39b5676cc809d3b5ca48b0fcbbb4bb9cc1d212efeb1b5fb584f61decca9d286fdee6f4512aa4d56e08b3a19be70afa2f0155c8c1815e29fcd7ed
 SHA512 
0ae41dfd61fc70746e8ec2d37c043dea7ceb70205aca056fd156348d4b9a2f6aac520c60de08fb5a3cd9bb908efdd2ad8129bbc01b69e5908f2976e5393269df
+DIST kitty-0.23.1.tar.xz 4444184 BLAKE2B 
f452e338fb72f723f2c028f90c20654cf80c5ee1aff924954f81f16445c9f4c10c77bd67d47ae5564b45496012dd1b7de447cdf3974b6913a39d170749878a73
 SHA512 
2d0c822e6bfca41b0a5e5e71e62f5073792b10c236287a509a6c790e19d098205c8719dbcb4aa630abbbaa3d44d6c9986c13efde7a9556772a89709383a0fe94

diff --git a/x11-terms/kitty/kitty-0.23.1.ebuild 
b/x11-terms/kitty/kitty-0.23.1.ebuild
new file mode 100644
index 00000000000..ee7d59c7435
--- /dev/null
+++ b/x11-terms/kitty/kitty-0.23.1.ebuild
@@ -0,0 +1,109 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{8,9} )
+
+inherit optfeature python-single-r1 toolchain-funcs xdg
+
+if [[ ${PV} == "9999" ]] ; then
+       EGIT_REPO_URI="https://github.com/kovidgoyal/kitty.git";
+       inherit git-r3
+else
+       
SRC_URI="https://github.com/kovidgoyal/kitty/releases/download/v${PV}/${P}.tar.xz";
+       KEYWORDS="~amd64 ~x86"
+fi
+
+DESCRIPTION="A modern, hackable, featureful, OpenGL-based terminal emulator"
+HOMEPAGE="https://github.com/kovidgoyal/kitty";
+
+LICENSE="GPL-3"
+SLOT="0"
+IUSE="debug wayland"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+RDEPEND="
+       ${PYTHON_DEPS}
+       media-libs/fontconfig
+       media-libs/freetype:2
+       >=media-libs/harfbuzz-1.5.0:=
+       media-libs/lcms
+       media-libs/libcanberra
+       media-libs/libpng:0=
+       sys-apps/dbus
+       sys-libs/zlib
+       x11-libs/libxcb[xkb]
+       x11-libs/libXcursor
+       x11-libs/libXi
+       x11-libs/libXinerama
+       x11-libs/libxkbcommon[X]
+       x11-libs/libXrandr
+       x11-misc/xkeyboard-config
+       x11-terms/kitty-terminfo
+       wayland? (
+               dev-libs/wayland
+               >=dev-libs/wayland-protocols-1.17
+       )
+"
+
+DEPEND="${RDEPEND}
+       media-libs/mesa[X]
+       sys-libs/ncurses
+"
+
+BDEPEND="virtual/pkgconfig"
+
+[[ ${PV} == *9999 ]] && BDEPEND+=" >=dev-python/sphinx-1.7"
+
+PATCHES=(
+       "${FILESDIR}"/${PN}-0.21.2-flags.patch
+       "${FILESDIR}"/${PN}-0.21.2-remove-terminfo.patch
+       "${FILESDIR}"/${PN}-0.20.1-tests.patch
+)
+
+src_prepare() {
+       default
+
+       # disable wayland as required
+       if ! use wayland; then
+               sed -i "/'x11 wayland'/s/ wayland//" setup.py || die
+               # also disable wayland tests
+               sed -i "/if not self.is_ci/d" kitty_tests/check_build.py || die
+               sed -i "/linux_backends.append('wayland')/d" 
kitty_tests/check_build.py || die
+       fi
+
+       # respect doc dir
+       sed -i "/htmldir =/s/appname/'${PF}'/" setup.py || die
+
+       tc-export CC
+}
+
+src_compile() {
+       "${EPYTHON}" setup.py \
+               --verbose $(usex debug --debug "") \
+               --libdir-name $(get_libdir) \
+               --update-check-interval=0 \
+               linux-package || die "Failed to compile kitty."
+}
+
+src_test() {
+       export KITTY_CONFIG_DIRECTORY=${T}
+       "${EPYTHON}" test.py || die
+}
+
+src_install() {
+       insinto /usr
+       doins -r linux-package/*
+       dobin linux-package/bin/kitty
+       python_fix_shebang "${ED}"
+}
+
+pkg_postinst() {
+       xdg_icon_cache_update
+       optfeature "Displaying images in the terminal" virtual/imagemagick-tools
+}
+
+pkg_postrm() {
+       xdg_icon_cache_update
+}

Reply via email to